#include<bits/stdc++.h>
using namespace std;
int main()
{
	int n;
	cin>>n;	
	int k;
	cin>>k;
	int a[20]={0};
	int i;
	vector<int> v;
	for(i=0;i<n;i++)
	{
		int x;
		cin>>x;
		a[x+9]++;
		if(a[x+9]==k)
			v.push_back(x);
	}
	cout<<v.size()<<endl;
	for(i=0;i<(int)(v.size());i++)
		cout<<v[i]<<" ";
}